%% Descriptive statistics
%% Housekeeping 
clear; clc; close all hidden;
addpath('data_quarterly')
addpath('utilities')
addpath('ADF_test_functions')

%% Data loading 
load("dates.mat");
load("brentspot");
load('CPI_US');
load("RGDP_mainland.mat");
load("GECON.mat"); 
load("oilprod.mat");
load("employment.mat");
load('KPI_Norway');
load("wage.mat");


load("rgdp_EOGS.mat");
load("empl_oil_sector.mat");
load("wage_oil_sector.mat");

load("rgdp_FCA.mat");
load("empl_FCA_sector.mat");
load("wage_FCA_sector.mat");

load("rgdp_MIME.mat");
load("empl_MIME_sector.mat");
load("wage_MIME_sector.mat");

load("rgdp_BC.mat");
load("empl_BC_sector.mat");
load("wage_BC_sector.mat");

load("rgdp_SB.mat");
load("empl_SB_sector.mat");
load("wage_SB_sector.mat");
%% First difference of Natural log 

rop = (brentspot./CPI_US)*100; %Real oil price 
real_wage = (wage./KPI_Norway)*100;

real_wage_oil_sector = (wage_oil_sector./KPI_Norway)*100;
real_wage_FCA_sector = (wage_FCA_sector./KPI_Norway)*100;
real_wage_MIME_sector = (wage_MIME_sector./KPI_Norway)*100;
real_wage_BC_sector = (wage_BC_sector./KPI_Norway)*100;
real_wage_SB_sector = (wage_SB_sector./KPI_Norway)*100;
oilprod_detrended = detrend(log(oilprod),1);
rop_log=(log(rop));


rgdp_detrended_ME = detrend(log(RGDP_mainland),1);
empl_ME_detrended = detrend(log(employment),1);
real_wage_ME_detrended = detrend(log(real_wage),1);


rgdp_detrended_EOGS = detrend(log(rgdp_EOGS),1);
real_wage_oil_sector_detrended = detrend(log(real_wage_oil_sector),1);
empl_oil_sector_detrended = detrend(log(empl_oil_sector),1);

rgdp_detrended_FCA = detrend(log(rgdp_FCA),1);
real_wage_FCA_sector_detrended = detrend(log(real_wage_FCA_sector),1);
empl_FCA_sector_detrended = detrend(log(empl_FCA_sector),1);

rgdp_detrended_MIME = detrend(log(rgdp_MIME),1);
real_wage_MIME_sector_detrended = detrend(log(real_wage_MIME_sector),1);
empl_MIME_sector_detrended = detrend(log(empl_MIME_sector),1);

rgdp_detrended_BC = detrend(log(rgdp_BC),1);
real_wage_BC_sector_detrended = detrend(log(real_wage_BC_sector),1);
empl_BC_sector_detrended = detrend(log(empl_BC_sector),1);

rgdp_detrended_SB = detrend(log(rgdp_SB),1);
real_wage_SB_sector_detrended = detrend(log(real_wage_SB_sector),1);
empl_SB_sector_detrended = detrend(log(empl_SB_sector),1);

%% Follow section illustrates the formulas used in Appendix A: Descriptive Statistics 

clc;
A=mean(rgdp_detrended_SB)
B=median(rgdp_detrended_SB)
C=max(rgdp_detrended_SB)
D=min(rgdp_detrended_SB)
E=std(rgdp_detrended_SB)
F = mad(rgdp_detrended_SB)
G=skewness(rgdp_detrended_SB)
H=kurtosis(rgdp_detrended_SB)
[h,p,jbstat,critval] = jbtest(rgdp_detrended_SB)

[rho,pval] = corr(rop_log,rgdp_detrended_SB)
