function plotFEVD(fevd, yNames)
% PURPOSE: Plot forecast error variance decompositions
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Input:
%
% fevd = forecast error variance decompositions
%
% yNames = names of the endogenous variables
%
% Output:
%
% Plots of the FEVD
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%Make FEVD figures
figure
for i = 1:size(fevd, 1)
    subplot(ceil(size(fevd, 1) / 2), 2, i)
    area(1:size(fevd, 3), permute(fevd(i, :, :), [3, 2, 1]), 'FaceColor', 'flat')
    set(gca,'xlim', [1, size(fevd, 3)]);
    set(gca,'ylim', [0, 1]);
    title(yNames{i});
    if i == size(fevd, 1)
        legend(yNames);
    end
end