function plotIRF(model, yNames)
% PURPOSE: Plot impulse response functions
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Input:
%
% model = object with the structural VAR model
%
% yNames = names of the endogenous variables
%
% Output:
%
% Plots of the IRFs
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

irf = model.irf;
irfb = model.irfb;

%Make impulse response figures
for j = 1:size(irf, 2)
    figure('name', ['Shock to ' yNames{j}])
    for i = 1:size(irf, 1)
        subplot(ceil(size(irf, 1) / 2), 3, i) %Chancge subplot(ceil(size(irf, 1) / 2), 3, i); the nr.3 for more plots. Initial was 2
        plot(permute(irf(i, j, :), [3, 1, 2]), 'k', 'linewidth', 2);
        hold on
        plot(permute(irfb(i, j, :, :), [3, 4, 1, 2]), 'k--', 'linewidth', 2);
        plot(zeros(size(irf, 3), 1), 'k', 'linewidth', 1);
        set(gca,'xlim',[1 size(irf, 3)]);
        title(yNames{i});
    end
end
    